Bug 503347 - default_leonidas.png not the default face icon on F11
default_leonidas.png not the default face icon on F11
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-31 11:01 EDT by Kevin Kofler
Modified: 2009-06-24 15:30 EDT (History)
9 users (show)

See Also:
Fixed In Version: 4.2.4-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 502618
Environment:
Last Closed: 2009-06-24 15:30:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2009-05-31 11:01:05 EDT
+++ This bug was initially created as a clone of Bug #502618 +++

Description of problem:
It seems impossible to make kdm remember any default user icon other than the (IMHO) incredibly ugly icon in /usr/share/kde4/apps/kdm/pics/users/default1.png. Even if I change it in the configuration, reinstalling kdm is enough to return it to the original.


Version-Release number of selected component (if applicable):
  kdm.x86_64 0:4.2.3-4.fc11


How reproducible:
Every time

Steps to Reproduce:
1. Open the KDM configuration (System Settings - Advanced - Login Manager)
2. Go to the "Users" tab
3. Select some other default icon (e.g., /usr/share/kde4/apps/kdm/pics/users/default_leonidas.png)
4. Save and quit -- the new icon is in place
5. "yum reinstall kdm" (or install a new version if it's available)
6. Check the configuration now -- the icon is back to default1.png again!
  
Actual results:
Ugly icon returns

Expected results:
The selected icon remains

--- Additional comment from smparrish@gmail.com on 2009-05-29 21:19:18 EDT ---

Please report this issue upstream at http://bugs.kde.org and also please add
the upstream information to this report.  We will monitor upstream for a
resolution.

--- Additional comment from mefoster@gmail.com on 2009-05-31 10:10:02 EDT ---

Done.

--- Additional comment from mefoster@gmail.com on 2009-05-31 10:46:10 EDT ---

And the KDE developer says that this one actually is a downstream-specific issue ...

--- Additional comment from kevin@tigcc.ticalc.org on 2009-05-31 10:56:47 EDT ---

The symlink for the default icon is created in the kdm package. So it's normal that this is reset each time the package is reinstalled. Upstream needs a way to configure the icon without setting symlinks in systemwide directories, there's currently no way to both have a system default and let the user override it.

The bug on our end is that we're still using default1.png instead of default_leonidas.png as we should as the default on F11.
Comment 1 Kevin Kofler 2009-05-31 12:51:28 EDT
Fix committed to CVS, should be in the 4.2.4-2.fc11 build soon to come.
Comment 2 Bug Zapper 2009-06-09 12:53:25 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora Update System 2009-06-24 15:30:04 EDT
kdeaccessibility-4.2.4-1.fc11, kdeadmin-4.2.4-1.fc11, kdeartwork-4.2.4-1.fc11, kdebase-4.2.4-2.fc11, kdebase-runtime-4.2.4-1.fc11, kdebase-workspace-4.2.4-3.fc11, kdeedu-4.2.4-1.fc11, kdegames-4.2.4-1.fc11, kdegraphics-4.2.4-1.fc11, kdelibs-4.2.4-2.fc11, kdemultimedia-4.2.4-1.fc11, kdenetwork-4.2.4-2.fc11, kdepim-4.2.4-1.fc11, kdepimlibs-4.2.4-1.fc11, kdeplasma-addons-4.2.4-1.fc11, kdesdk-4.2.4-1.fc11, kdetoys-4.2.4-1.fc11, kdeutils-4.2.4-2.fc11, konq-plugins-4.2.4-1.fc11, kde-l10n-4.2.4-2.fc11, kdebindings-4.2.4-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.